# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define	_name	wavelet-decompose

Name:		gimp-plugin-%{_name}
Version:	0.1.2
Release:	alt1_9
Summary:	Gimp plugin to decomposes a layer into layers of wavelet scales
Url:		http://registry.gimp.org/node/11742
Source:		http://registry.gimp.org/files/%{_name}-%{version}.tar.gz
Patch0:		wavelet-decompose-0.1.2-cflags.patch
License:	GPLv2
Group:		Graphics

BuildRequires:	libgimp-devel
Requires:	gimp
Source44: import.info

%description
This plugin losslessly decomposes a layer of an image into layers
of wavelet scales.
This means that you can edit the image on different detail scales.
The trivial recomposition of the image can be done by GIMP's layer modes so
you can see the results of your modifications instantly.

Among the applications are:
 - retouching
 - noise reduction
 - enhancing global contrast

%prep
%setup -q -n %{_name}-%{version}
%patch0 -p1

%build

%make_build

%install
for i in `find po -name "*.po"`;
do
	lang=`basename $i`
	lang=${lang/\.po/}
	install -D -d -m 755 %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES/
done
make -C po install LOCALEDIR=%{buildroot}%{_datadir}/locale
%find_lang gimp20-%{_name}-plug-in
install -Dm 755 src/%{_name} %{buildroot}%{_libdir}/gimp/2.0/plug-ins/%{_name}

%files -f gimp20-%{_name}-plug-in.lang
%doc COPYING AUTHORS ChangeLog THANKS README TRANSLATIONS
%{_libdir}/gimp/2.0/plug-ins/%{_name}


%changelog
* Thu Mar 22 2018 Igor Vlasenko <viy@altlinux.ru> 0.1.2-alt1_9
- new version

* Wed Jan 14 2009 Victor Forsyuk <force@altlinux.org> 0.1.2-alt1
- 0.1.2

* Thu Nov 20 2008 Victor Forsyuk <force@altlinux.org> 0.1-alt1.beta2
- Initial build.
